package com.benyanyi.permissionlib.callback;

/**
 * @author YanYi
 * @date 2019/5/23 09:48
 * @email ben@yanyi.red
 * @overview
 */
public interface PermissionCallBack {
    /**
     * 拥有所有权限
     */
    void onPermissionSuccess();

    /**
     * 没有拥有所有权限
     *
     * @param failurePermissions 未获取到的权限
     */
    void onPermissionFailure(String[] failurePermissions);

    /**
     * 申请权限后执行该操作，不管有没有获取到所有权限
     */
    void onPermissionComplete();
}
